package com.liquidnet.common.third.zxlnft.dto;

import lombok.Data;

import java.io.Serializable;

/**
 * @author AnJiabin <anjiabin@zhengzai.tv>
 * @version V1.0
 * @Description: 33.查询该账户资产归属的系列列表 GET请求方式
 * @class: SeriesListReq
 * @Package com.liquidnet.common.third.zxlnft.dto.nft
 * @Copyright: LightNet @ Copyright (c) 2021
 * @date 2022/2/18 15:45
 */
@Data
public class Nft033SeriesListReqDto implements Serializable {
    /**
     * 账户地址
     */
    private String addr;

    private static final Nft033SeriesListReqDto obj = new Nft033SeriesListReqDto();
    private static final long serialVersionUID = -6428278703362542316L;

    public static Nft033SeriesListReqDto getNew() {
        try {
            return (Nft033SeriesListReqDto) obj.clone();
        } catch (CloneNotSupportedException e) {
            return new Nft033SeriesListReqDto();
        }
    }
}
